
import delimited using state_fips_crosswalk.txt
gen state_a = substr(v1,1,2)
drop v1
rename v2 state_n
rename v3 state
drop if state==""
sort state
save st_cross, replace



insheet using 1952export.csv, clear
drop if area=="89" | area=="ElectoralDemVotesAll" | area=="District of Columbia" |  area==""
keep office racedate area electoralrepvotes electoraldemvotes electoralothervotes totalvote repvote* demvote* othervote* thirdvote*
save temp0, replace

insheet using 1956export.csv, clear
drop if area=="85" | area=="ElectoralDemVotesAll" | area=="Alaska" | area=="District of Columbia" |  area==""
keep office racedate area electoralrepvotes electoraldemvotes electoralothervotes totalvote repvote* demvote* othervote* thirdvote*
save temp1, replace

insheet using 1960export.csv, clear
drop if area=="306" | area=="ElectoralDemVotesAll" | area=="District of Columbia" | area==""
keep office racedate area electoralrepvotes electoraldemvotes electoralothervotes totalvote repvote* demvote* othervote* thirdvote*
save temp2, replace

insheet using 1964export.csv, clear
drop if area=="486" | area=="ElectoralDemVotesAll" | area==""
keep office racedate area electoralrepvotes electoraldemvotes electoralothervotes totalvote repvote* demvote* othervote* thirdvote*
save temp3, replace

insheet using 1968export.csv, clear
drop if area=="191" | area=="ElectoralDemVotesAll" | area==""
keep office racedate area electoralrepvotes electoraldemvotes electoralothervotes totalvote repvote* demvote* othervote* thirdvote*
save temp4, replace

insheet using 1972export.csv, clear
drop if area=="17" | area=="ElectoralDemVotesAll" | area==""
keep office racedate area electoralrepvotes electoraldemvotes electoralothervotes totalvote repvote* demvote* othervote* thirdvote*
save temp5, replace

insheet using 1976export.csv, clear
drop if area=="297" | area=="ElectoralDemVotesAll" | area==""
keep office racedate area electoralrepvotes electoraldemvotes electoralothervotes totalvote repvote* demvote* othervote* thirdvote*
save temp6, replace

insheet using 1980export.csv, clear
drop if area=="49" | area=="ElectoralDemVotesAll" | area==""
keep office racedate area electoralrepvotes electoraldemvotes electoralothervotes totalvote repvote* demvote* othervote* thirdvote*

foreach i of numlist 0/6 {
append using temp`i'
erase temp`i'.dta
}

drop office

gen year = substr(racedate,1,4)
destring year, replace
drop racedate


destring electoral*, replace
gen electoralcollegetot = electoralrepvotes+ electoraldemvotes +  electoralothervotes
drop electoralrepvotes electoraldemvotes electoralothervotes

label var electoralcollegetot "Number of votes state has in electoral college"

*votes are string because of commas and because 0 is NA
foreach x of varlist totalvotes repvotes demvotes othervotes thirdvotes{
replace `x' = subinstr(`x',",","",.)
destring `x', force replace
replace `x'=0 if `x'==.
}



*now reshape and then merge on state identifiers
reshape wide *votes* elec*, i(area) j(year)


*state is all uppercase in the crosswalk
gen state = upper(area)
drop area
sort state
merge state using st_cross
*guam, pr, am somoa and vi don't merge
drop if _merge==2
drop _merge


merge 1:1 state_n using voter_turnout_by_race/Output/voter_turnout_1968to1980.dta
order state state_n state_a, first
drop _merge

run voter_turnout_by_race/Input/state_lb
label value state_n STATEFIP

saveold cqelections_cps_merged.dta, replace
